---
title: XRInputSourceEvent()
slug: Web/API/XRInputSourceEvent/XRInputSourceEvent
tags:
  - API
  - AR
  - Constructor
  - Input Sources
  - Inputs
  - Mixed
  - Reality
  - Reference
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRInputSourceEvent
  - augmented
  - controllers
  - events
---
<p>{{APIRef("WebXR Device API")}}{{SecureContext_Header}}</p>

<p><span class="seoSummary">The <code><strong>XRInputSourceEvent()</strong></code> constructor creates and returns a new {{domxref("XRInputSourceEvent")}} object describing an event (state change) which has occurred on a WebXR user input device represented by an {{domxref("XRInputSource")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>newInputSourceEvent</em> = new XRInputSourceEvent(<em>type</em>, <em>eventInitDict</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>type</code></dt>
 <dd>
 <p>A {{domxref("DOMString")}} indicating which of the input source events the new object will represent. Permitted values are listed under {{anch("Event types")}} below.</p>
 </dd>
 <dt><code>eventInitDict</code></dt>
 <dd>An object based on the {{domxref("XRInputSourceEventInit")}} dictionary which contains the values to assign to the new event's properties.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("XRInputSourceEvent")}} object representing the event described by the given <code>type</code> and <code>eventInitDict</code>.</p>

<h2 id="Event_types">Event types</h2>

<p>{{page("/en-US/docs/Web/API/XRInputSourceEvent", "Event types")}}</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/en-US/docs/Web/API/XRInputSourceEvent", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#xrinputsourceevent","XRInputSourceEvent")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRInputSourceEvent.XRInputSourceEvent")}}</div>
